<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@page import="org.w3c.dom.*,javax.xml.transform.dom.*,javax.xml.transform.stream.*,javax.xml.transform.*,java.io.StringWriter"%>
<%@ page import="com.ebsco.*"%>
<%@ page import="java.io.* , java.net.*, java.util.*"%>
<%
//Getting the username and password information from web.xml file in WEB-INF
String strUserID = application.getInitParameter("username");
String strPwd = application.getInitParameter("password");
String dbSelected=request.getParameter("db");
//Declaring Soap object 
Soap xmlDocument;
//Creating the  UtilFunction object from the UtilFunction.java
UtilFunction utilFunction =new UtilFunction();
String indexSelected=request.getParameter("index");
String browseSelected=request.getParameter("browse");
try
{
 	//Check the query string for browse term else redirect to search page.
	if("".equals(browseSelected))
	{
		String rtn="SearchSoap.jsp?db="+dbSelected;
		response.sendRedirect(rtn);
	}
	else if(dbSelected != "" || indexSelected != "" || browseSelected != "")
    {
	    //Setting the parameters for the query string
		String[] parms = new String[] {indexSelected,browseSelected,dbSelected };
	    //Creating the Soap object.
	    xmlDocument = new Soap();
	    //Using the Browse method from the Soap class we get the xml as string
        String xmlData = xmlDocument.Browse(parms,strUserID,strPwd);
        // Request Database Information through Browse Method
        //Check the return doc count else redirect
        //Passing xmldoc to transform the xml in XLS
        StringBuilder stringBuilder =new StringBuilder();
      //Getting the absolute path of the xsl file for transformation purpose.
        String xslPath = application.getRealPath("Soap/browseSoap.xsl");
      //Replacing the xml version information from the string and replacing it with spaces.
        xmlData=xmlData.replace("<?xml version=\"1.0\" encoding=\"utf-8\"?>", "");
      //Appending new xml version header at the start of the response.
		stringBuilder.append("<?xml version=\"1.0\" encoding=\"UTF-8\"?><?xml-stylesheet type=\"text/xsl\" href=\"browseSoap.xsl\"?>");
        stringBuilder.append("<wrapper>\n");
		stringBuilder.append("<dbSelect>"+dbSelected+"</dbSelect><index>"+indexSelected+"</index>"+xmlData);
		stringBuilder.append("\n</wrapper>");
		//Doing the transformation here using the getXML function of UtilFunction.java
		String returnObject=utilFunction.getXML(xslPath,stringBuilder.toString());
		//Outputting the string on the browser.
		out.println(returnObject);
    }
} 
catch (Exception e)
{
    //Redirecting the page if error occured
    //To DO
}
%>