<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
    <%@ page import="java.util.*" %>
    <%@ page import="com.ebsco.*" %>
    <%@ page import="org.w3c.dom.Document" %>
	<%@ page import="org.w3c.dom.*"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<link rel="stylesheet" href="../Styles/style.css" type="text/css" />
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Search EBSCOhost</title>
</head>
<script type="text/javascript">
function selectDB()
{
window.location.href="Search.jsp?db="+document.getElementById("db").value;
}
</script>
<body>
<div class="search_area_right">
<table>
    <tr>
        <td  style="vertical-align: top;">
            <img src="../Styles/images/logoEhost.gif" style="float:left" alt="" />
        </td>
        <td  style="vertical-align: top;">
            <p style="height: 17px;
                font-weight: bold;"><br/>
            EBSCO Integration Toolkit (EIT) Web Services:<br/>  
            Simple Search Search and browse the EBSCOhost Databases using the EIT Web Service. <br/>
            </p>
        </td>
    </tr>
</table>
<%
//Declarations
//Getting the username and password information from web.xml file in WEB-INF
String strUserID = application.getInitParameter("username");
String strPwd = application.getInitParameter("password");
String dbSelected=request.getParameter("db");
//Creating the Rest object from class name Rest.java
Rest rest=new Rest();
//Creating the ParseXML object from class name ParseXML.java
ParseXML parseXML=new ParseXML();
ArrayList<Map<String, String>> arrayListStore=new ArrayList<Map<String, String>>();
HashMap<String, String> params=new HashMap<String, String>();
Map<String, String> hashDataIndex=new LinkedHashMap<String, String>();		
Map<String, String> hashDataTags=new LinkedHashMap<String, String>();	
Map<String, String> hashDataSort=new LinkedHashMap<String, String>();
Set<Map.Entry<String, String>> setEntries;
Map.Entry<String, String> mapEntry;
Iterator<Map.Entry<String, String>> iterateObject;
//Setting the webservice url using the connect function from Rest.java
rest.connect("http://eit.ebscohost.com/Services/SearchService.asmx/");
//Passing the parameters in method name send of Rest Class and getting response as document. 
Document doc=rest.send("Info",null,strUserID,strPwd);
%>
<div id="box_search_right">
Database:<%
try
{
		//looping through the NodeList to get longName of the database selected
	     doc.getDocumentElement().normalize();
         NodeList listOfNodes = doc.getElementsByTagName("db");
         for(int index=0; index<listOfNodes.getLength() ; index++)
         {
				Node firstNode = listOfNodes.item(index); 
				if(firstNode.getNodeType()== Node.ELEMENT_NODE)
				{
						NamedNodeMap getAttrib = firstNode.getAttributes();
						if(dbSelected!=null && getAttrib.getNamedItem("shortName").getNodeValue().equals(dbSelected))
						{
							%><%= getAttrib.getNamedItem("longName").getNodeValue().trim()%><%
							break;
						}
				}
			}
  }
  catch (Exception e) 
  {
       e.printStackTrace();
  }
%>
<div id="container">
<table class="main_table">
<tr class="content_holder">
<td>
<p class="title">
Select a Database:
</p>
<br/>
<table>
    <tr>
        <td width="200px" class="search_page">
        Please choose a Database:
        </td>
        <td class="search_page">        
        <select name="db" onChange="selectDB()" id="db">
        <option value="Search.jsp">Select Database</option>
       <%
		try
		{
			//loading the values in option box by looping through the document with TagName db
			doc.getDocumentElement().normalize();
			NodeList listOfNodes = doc.getElementsByTagName("db");
			for(int index=0; index<listOfNodes.getLength() ; index++)
			{
					Node firstNode = listOfNodes.item(index); 
					if(firstNode.getNodeType()== Node.ELEMENT_NODE)
					{
						NamedNodeMap getAttrib = firstNode.getAttributes();
						Node checkNode = getAttrib.getNamedItem("xsi:type");
						if(!(checkNode!=null && checkNode.getNodeValue().equalsIgnoreCase("DatabaseWithAuth")))
						{
						if(getAttrib.getNamedItem("shortName").getNodeValue().equals(dbSelected))
						{%> 
								 
						<option value="<%=getAttrib.getNamedItem("shortName").getNodeValue()%>" selected="selected"> <%=getAttrib.getNamedItem("longName").getNodeValue()%> </option> 	
						<%}else{%>
						<option value="<%=getAttrib.getNamedItem("shortName").getNodeValue()%>"> <%=getAttrib.getNamedItem("longName").getNodeValue()%> </option> 
						<%}	
						}
						
					}
			}
		}
		catch (Exception e) 
		{
			e.printStackTrace();
		}			 
		%>
		</select>
        </td>
        </tr>
        <tr><td></td>
        <td>
        *(Please select a database if not already selected)
        </td>
    </tr>
</table>
<br/>
</td>
</tr>
<%
//Using the parseXML function from class name ParseXML.java and the result is saved in an arraylist
arrayListStore=parseXML.parseXML(doc,dbSelected);
hashDataIndex=(HashMap<String, String>)arrayListStore.get(0);
hashDataSort=(HashMap<String, String>)arrayListStore.get(1);
hashDataTags=(HashMap<String, String>) arrayListStore.get(2);
%>
<tr class="content_holder">
<td>
<p class="title">
Standard Search:
</p>
<br />
<form action="Result.jsp" method="GET" name="search">
<input type="hidden" value="<%=dbSelected%>" name="db"/>
<table>
    <tr>
        <td width="100px" class="search_page">
            Find:
        </td>
        <td class="search_page" colspan="2">
            <input type="text" name="s1" style="width:195px;"/>
        </td>
        <td class="search_page">
            in <select name="t1"><option value="">Select a Field (optional)</option>
<%
//Loading the  DataTags values in option tag
setEntries = hashDataTags.entrySet();
iterateObject = setEntries.iterator();
while (iterateObject.hasNext())
{
	mapEntry = iterateObject.next();
%>
<option value="<%= mapEntry.getKey()%>"><%= mapEntry.getValue()%></option>
<%} %></select>
        </td>
    </tr>
    <tr>
        <td></td>
        <td class="search_page">
            <select name="d1" style="width: 50px; margin: 5px 0pt;">
                <option value="AND">AND</option>
                <option value="OR">OR</option>
                <option value="NOT">NOT</option>
            </select>
        </td>
        <td class="search_page">
            <input type="text" name="s2">
        </td>
        <td class="search_page">
            in <select name="t2"><option value="">Select a Field (optional)</option>
<%
//Loading the DataTags values in option tag
setEntries = hashDataTags.entrySet();
iterateObject = setEntries.iterator();
while (iterateObject.hasNext())
{
	mapEntry = iterateObject.next();
%>
<option value="<%= mapEntry.getKey()%>"><%= mapEntry.getValue()%></option>
<%} %></select>
        </td>
    </tr>
     <tr style="display:none;">
        <td class="search_page">
            <select name="d2">
                <option value="AND">AND</option>
                <option value="OR">OR</option>
                <option value="NOT">NOT</option>
            </select>
        </td>
        <td class="search_page">
            <input type="text" name="s3">
        </td>
        <td class="search_page">
            in  <select name="t3"><option value="">Select a Field (optional)</option>
<%
//Loading the Datatags values in option tag
setEntries = hashDataTags.entrySet();
iterateObject = setEntries.iterator();
while (iterateObject.hasNext())
{
	mapEntry = iterateObject.next();
%>
<option value="<%= mapEntry.getKey()%>"><%= mapEntry.getValue()%></option>
<%} %></select>
        </td>
    </tr>
   <tr style="display:none;">
        <td class="search_page">
            <select name="d3">
                <option value="AND">AND</option>
                <option value="OR">OR</option>
                <option value="NOT">NOT</option>
            </select>
        </td>
        <td class="search_page">
            <input type="text" name="s4">
        </td>
        <td class="search_page">
            in  <select name="t4"><option value="">Select a Field (optional)</option>
<%
//Loading the DataTags values in option tag
setEntries = hashDataTags.entrySet();
iterateObject = setEntries.iterator();
while (iterateObject.hasNext())
{
	mapEntry = iterateObject.next();
%>
<option value="<%= mapEntry.getKey()%>"><%= mapEntry.getValue()%></option>
<%} %></select>
        </td>
    </tr>
</table>
<table>
    <tr>
        <td class="search_page" width="100px">
            Sort By:
        </td>
        <td align="left" class="search_page">
   <select name="sort" style="width:100px;margin:5px 0 5px 0;">
<%
//Loading the Sort values in option tag
setEntries = hashDataSort.entrySet();
iterateObject = setEntries.iterator();
while (iterateObject.hasNext())
{
	mapEntry = iterateObject.next();
%>
<option value="<%= mapEntry.getKey()%>"><%= mapEntry.getValue()%></option>
<%} %></select>
        </td>
        <td class="search_page">
            Full Text <input type="checkbox" name="ft" value="1" checked="true" />
        </td>
    </tr>
    <tr><td></td>
        <td colspan="1" align="left">
            <input type="submit" value="Search"/>
        </td>
    </tr>
</table>
</form>
</td>
</tr>
<tr class="content_holder">
<td>
<p class="title">
Alternative Index Browse:
</p>
<form action="Browse.jsp" method="GET">
<input type="hidden" value="<%=dbSelected%>" name="db"/>
<table>
<tr>
   <td width="100px" class="search_page">
        Index:
    </td>
    <td class="search_page">
        <select name="index" style="width:100px;margin:5px 0 5px 0;">

<%
//Loading the Index values in option tag
setEntries = hashDataIndex.entrySet();
iterateObject = setEntries.iterator();
while (iterateObject.hasNext())
{
	mapEntry = iterateObject.next();
%>
<option value="<%= mapEntry.getKey()%>"><%= mapEntry.getValue()%></option>
<%} %>
</select>
	</td>
</tr>
<tr>
    <td class="search_page">
        Browse for:
    </td>
    <td>
        <input type="text" name="browse"/><br/>
    </td>
</tr>
    <tr><td></td>
        <td colspan="1" align="left">
<input type="submit" value="Browse"/>
 </td>
    </tr>
</table>
</form>
</td>
</tr>
</table>
</div>
</div>
<a href="http://support.ebscohost.com/eit/" style="text-align:center;text-decoration: underline;color:#104E8B;font-size: 10px;">Return to EBSCOhost Integration Toolkit Home</a>
</div>
</body>
</html>
