<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1" isELIgnored="true"%>
<%@ page import="com.ebsco.UtilFunction"%>
<%@page import="org.w3c.dom.*,javax.xml.transform.dom.*,javax.xml.transform.stream.*,javax.xml.transform.*,java.io.StringWriter"%>
<%@ page import="com.ebsco.Rest"%>
<%
//Getting the username and password information from web.xml file in WEB-INF
String strUserID = application.getInitParameter("username");
String strPwd = application.getInitParameter("password");
//Rest object created here of Rest.java
Rest rest=new Rest();
//Setting the webservice URL using the connect method of Rest.java
rest.connect("http://eit.ebscohost.com/Services/SearchService.asmx/");
//Getting the response as document by using the send function of Rest class and passing the required parameters.
Document doc=rest.send("Info",null,strUserID,strPwd);
//Getting the absolute path of the xsl file for transformation purpose.
String realPath = application.getRealPath("xsl/search.xsl");
String dbSelected=request.getParameter("db");
try
{
		//UtilFunction object created here of UtilFunction.java
		UtilFunction utilObject=new UtilFunction();
		StringBuilder stringBuilder =new StringBuilder();
		//Using the getStringFromDocument function from UtilFunction class converting the document to string.
    	String stringObtained=utilObject.getStringFromDocument(doc) ;
    	//Replacing the xml version information from the string and replacing it with spaces.
    	String replacedElement="<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>";
		String replacedString=stringObtained.replace(replacedElement," ");
		stringBuilder.append("<wrapper>\n");
		stringBuilder.append("<dbSelect>"+dbSelected+"</dbSelect>"+replacedString);
		stringBuilder.append("\n</wrapper>");
		//Doing the transformation here using the getXML function of UtilFunction.java
		String returnObject=utilObject.getXML(realPath,stringBuilder.toString());
		//Outputting the string on the browser.
		out.println(returnObject);
}
catch (Exception e)
{
	e.printStackTrace();
}
%>